Subject: Re: bug#2470: 23.0.90; auto-fill-mode, :minor-mode-function

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Feb 2009 14:56:44 -0500

> So it seems to be in need of a fix, but I see no bug filed against it.

Then file one.

> 2. What is :minor-mode-function?  It is used in a couple of places in
> the Emacs Lisp sources, with no comment or other explanation.  It is
> not in the Elisp manual.  It seems to be a way to associate a
> different function with a minor mode - a function with a different
> name from the mode itself.  For example, `auto-fill-function' is the
> :minor-mode-function for `auto-fill-mode'.
 
> Is this mechanism still needed if `define-minor-mode' is used?  Is it
> just for compatibility with XEmacs code and legacy code?

It's got nothing to do with XEmacs, AFAIK, but it does have with legacy
code such as auto-fill-function.
 
> How about documenting it - at least with a comment in the code
> somewhere: what is for, how and when to use it.
 
When to use it, is easy: never in new code.

        Stefan